Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Linien selektieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Linien selektieren (1024 mal gelesen)
Madler
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Madler an!   Senden Sie eine Private Message an Madler  Schreiben Sie einen Gästebucheintrag für Madler

Beiträge: 30
Registriert: 13.07.2011

AutoCAD 2010
Autodesk MEP 2012

erstellt am: 10. Jan. 2012 20:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


1.jpg

 
Hallo Forum,

hat jemand eine Idee, wie ich eine Linie die von rechts nach links gezeichnet wurde, von einer die von links nach rechts gezeichnet wurde, selektieren kann? Ziel ist es, alle Linien die auf dem "Kopf" stehen um 180 Grad zu drehen (siehe Bild).

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 10. Jan. 2012 22:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Madler 10 Unities + Antwort hilfreich

Mal was auf die Schnelle :

(defun c:REVERSELINES(/ AWS)
  (if(setq AWS(ssget '((0 . "LINE"))))
    (mapcar
      '(lambda(X / OBJ DATA PKT1 PKT2)
        (and (setq OBJ (cadr X))
              (setq DATA(entget OBJ))
              (setq PKT1(cdr(assoc 10 DATA)))
              (setq PKT2(cdr(assoc 11 DATA)))
              (< (car PKT2)(car PKT1))
              (setq DATA (subst (cons 10 PKT2)(assoc 11 DATA) DATA))
              (setq DATA (subst (cons 11 PKT1)(assoc 10 DATA) DATA))
              (entmod DATA)
        )   
      )
      (ssnamex AWS)    

    ) 
  )
)

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 10. Jan. 2012 22:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Madler 10 Unities + Antwort hilfreich

Hi,

anderer Vorschlag: Ab Version 2011 haben Linientypdefinitionen eine neue Steuerungsmöglichkeit, die enthaltene Texte immer korrekt anzeigt.

Vielleicht eine Alternative?


Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 10. Jan. 2012 23:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Madler 10 Unities + Antwort hilfreich

Hi,
noch ein anderer Vorschlag:
- Schnellauswahl - Linie - Winkel 180
- Befehl "UMDREH" - oder "_REVERSE"

(s.a. HIER)

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Madler
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Madler an!   Senden Sie eine Private Message an Madler  Schreiben Sie einen Gästebucheintrag für Madler

Beiträge: 30
Registriert: 13.07.2011

AutoCAD 2010
Autodesk MEP 2012

erstellt am: 11. Jan. 2012 16:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Wie einfach es doch manchmal ist...

In diesem Fall auch mal ohne LISP zu lösen (Dank an "wronzky").

@CADmium
Vielen Dank für den schnellen Code. Werd ihn mal testen und für die Automatisierung weiterverwenden.

Gruß
Markus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz